lcm-logplayer(1)

NAME
lcm-logplayer - minimalist log playback tool

SYNOPSIS

lcm-logplayer [options] [FILE]

DESCRIPTION

lcm-logplayer is a minimalist Lightweight Communications and Marshalling logfile playback tool. It provides a small set of options for controlling logfile playback, and is primarily intended for situations where a command line program is either desired or the only option. In situations where both Java and a graphical interface are available, lcm-logplayer-gui provides a more featureful logplayer with a graphical user interface.

OPTIONS
The following options are provided by lcm-logplayer

-v, --verbose
    Print information about each packet.

-s, --speed=NUM
    Playback speed multiplier. Default is 1.0

-e, --regexp=EXPR
    POSIX regular expression of channels to play.

-l, --lcm-url=URL
    Play logged messages on the specified LCM URL.

-h, --help
    Shows some help text and exits

SEE ALSO
lcm-logplayer-gui(1) regex(7)

COPYRIGHT

lcm-logplayer is part of the Lightweight Communications and Marshalling (LCM) project. Permission is granted to copy, distribute and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version. See the file COPYING in the LCM distribution for more details regarding distribution.

LCM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details. You should have received a copy of the GNU Lesser General Public License along with LCM; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

AUTHOR

This manual page was written by Albert Huang.